System.ServiceModel 4.0.0.0 System.Enum

As the body of a object is a stream, it can only be read or written once. This is enforced by maintaining the current state of the object. A object can be read/written/copied when in the state. Other states are , and , which means that the respective action has been performed already once.

Specifies the status of a message.

- Field
  4.0.0.0
  System.ServiceModel.Channels.MessageState

  The message has been closed and can no longer be accessed.

- Field
  4.0.0.0
  System.ServiceModel.Channels.MessageState

  The message has been copied.

- Field
  4.0.0.0
  System.ServiceModel.Channels.MessageState

  The message has been created.

- Field
  4.0.0.0
  System.ServiceModel.Channels.MessageState

  The message is being read.

- Field
  4.0.0.0
  System.ServiceModel.Channels.MessageState

  The message has been written.